Skip site navigation (1) Skip section navigation (2)

Re: OpenSSL Applink

From: Dave Page <dpage(at)postgresql(dot)org>
To: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
Cc: pgsql-patches(at)postgresql(dot)org
Subject: Re: OpenSSL Applink
Date: 2007-09-28 15:05:49
Message-ID: 46FD184D.2050405@postgresql.org (view raw or flat)
Thread:
Lists: pgsql-patches
Tom Lane wrote:
> Dave Page <dpage(at)postgresql(dot)org> writes:
>> The server doesn't seem to be affected, but the attached patch fixes the
>> problem for the client apps. Unfortunately it must be included in the
>> app itself, and not libpq.
> 
> This is pretty much in the category of "they've got to be kidding".

Agreed. Unless I've completely missed the point this does seem *really* 
dumb.

> I recommend sitting on the prior version until upstream fixes their
> mistake.

Unfortunately from what I've seen it doesn't look like thats on their 
agenda... and this has been around in release versions now since July  2005.

I believe we just didn't notice it until now because the older Mingw 
builds use the MSVC 6.0 runtimes which just happened to be compatible 
with the OpenSSL binary builds (we're now using 8.0), in addition to 
which there are relatively few people using client-side certs I'd wager.

/D


In response to

Responses

pgsql-patches by date

Next:From: Andrew DunstanDate: 2007-09-28 15:14:23
Subject: Re: OpenSSL Applink
Previous:From: Andrew DunstanDate: 2007-09-28 14:58:59
Subject: Re: OpenSSL Applink

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group